%define name	opennap-ng
%define version	0.49.1
%define release	%mkrel 1
%define distsuffix plf

Summary: Opennap napster server
Name: %name
Version: %version
Release: %release
License: GPL
Group: Networking/File transfer
Source: %{name}-%{version}-src.tar.bz2
BuildRoot: %_tmppath/%name-buildroot
BuildRequires:	zlib-devel
URL: http://opennap-ng.sourceforge.net/

%description
Opennap NG is a further development of the well known
opennap-server created by drscholl.
This package is in plf because mandrakelinux policy forbids p2p applications 
in contribs.

%prep
%setup -q

%build
%configure
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
# remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{_datadir}/docs/opennap-ng

%clean
rm -rf ${RPM_BUILD_ROOT}

%post

%postun

%files
%defattr(0755, root, root)
%doc doc/*
%doc AUTHORS ChangeLog* COPYING INSTALL NEWS README
%{_sbindir}/*
%{_datadir}/opennap-ng/*.txt

%Changelog
* Sun Oct  9 2005 Stefan van der Eijk <stefan@zarb.org> 0.49.1-1plf
- 0.49.1
- distsuffix & mkrel
- BuildRequires

* Wed Sep 22 2004 jipe <jipe@zarb.org> 0.47.2-2plf
- i fixed reason and added specfile or maybe the contrary

* Thu Sep 16 2004 jipe <jipe@zarb.org> 0.47.2-1plf
- 1st plf release 
